ASN1_OBJECT_NEW(3SSL)

NAME
ASN1_OBJECT_new, ASN1_OBJECT_free - object allocation functions

SYNOPSIS
 #include <openssl/asn1.h>

 void ASN1_OBJECT_free(ASN1_OBJECT *a);

The following functions have been deprecated since OpenSSL 4.0, and can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

 ASN1_OBJECT *ASN1_OBJECT_new(void);

DESCRIPTION
The ASN1_OBJECT allocation routines, allocate and free an ASN1_OBJECT structure, which represents an ASN1 OBJECT IDENTIFIER.

ASN1_OBJECT_new() is deprecated and exists for legacy backward compatibility reasons and always returns NULL.

ASN1_OBJECT_free() frees up the ASN1_OBJECT structure a. If a is NULL, nothing is done.

NOTES
Although ASN1_OBJECT_new() allocates a new ASN1_OBJECT structure it is almost never used in applications. The ASN1 object utility functions such as OBJ_nid2obj() are used instead.

RETURN VALUES
ASN1_OBJECT_new() always return NULL.

ASN1_OBJECT_free() returns no value.

SEE ALSO
d2i_ASN1_OBJECT(3)

HISTORY
ASN1_OBJECT_new() was deprecated in OpenSSL 4.0.

COPYRIGHT
Copyright 2002-2026 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.